import { createRouter, createWebHashHistory } from "vue-router";
import countryRouter from "./country";
const routes = [
  {
    path: "/",
    name: "Program",
    component: () =>
      import(/* webpackChunkName: "program" */ "../views/Program.vue"),
  },
  {
    path: "/Channel",
    name: "Channel",
    component: () =>
      import(/* webpackChunkName: "channel" */ "../views/Channel.vue"),
  },
  {
    path: "/heightlight",
    name: "Heightlight",
    component: () =>
      import(/* webpackChunkName: "heightlight" */ "../views/Heightlight.vue"),
  },
  {
    path: "/realData",
    name: "RealData",
    component: () =>
      import(/* webpackChunkName: "realData" */ "../views/RealData.vue"),
  },
  {
    path: "/liveChannel",
    name: "LiveChannel",
    component: () =>
      import(/* webpackChunkName: "liveChannel" */ "../views/LiveChannel.vue"),
  },
  {
    path: "/boutiqueColumn",
    name: "boutiqueColumn",
    component: () =>
      import(
        /* webpackChunkName: "boutiqueColumn" */ "../views/BoutiqueColumn/BoutiqueColumn.vue"
      ),
  },
  {
    path: "/activity",
    name: "Activity",
    component: () =>
      import(
        /* webpackChunkName: "activity" */ "../views/Activity/Activity.vue"
      ),
  },
  {
    path: "/jugou",
    name: "Jugou",
    component: () =>
      import(/* webpackChunkName: "jugou" */ "../views/Jugou/Jugou.vue"),
  },
  {
    path: "/radio",
    name: "Radio",
    component: () =>
      import(/* webpackChunkName: "radio" */ "../views/Radio/Radio.vue"),
  },
  {
    path: "/hardAdvertisement",
    name: "HardAdvertisement",
    component: () =>
      import(
        /* webpackChunkName: "hardAdvertisement" */ "../views/HardAdvertisement/HardAdvertisement.vue"
      ),
  },
  {
    path: "/advertisingEye",
    name: "AdvertisingEye",
    component: () =>
      import(
        /* webpackChunkName: "advertisingEye" */ "../views/AdvertisingEye/AdvertisingEye.vue"
      ),
  },
  {
    path: "/channelRanking",
    name: "ChannelRanking",
    component: () =>
      import(
        /* webpackChunkName: "channelRanking" */ "../views/ChannelRanking/ChannelRanking.vue"
      ),
  },
  {
    path: "/department",
    name: "Department",
    component: () =>
      import(
        /* webpackChunkName: "department" */ "../views/Department/index.vue"
      ),
  },
  {
    path: "/reportForm",
    name: "ReportForm",
    component: () =>
      import(
        /* webpackChunkName: "reportForm" */ "../views/ReportForm/ReportForm.vue"
      ),
  },
  {
    path: "/radioBroadcast",
    name: "RadioBroadcast",
    component: () =>
      import(
        /* webpackChunkName: "radioBroadcast" */ "../views/RadioBroadcast.vue"
      ),
  },
  {
    path: "/realOnline",
    name: "RealOnline",
    component: () =>
      import(
        /* webpackChunkName: "realOnline" */ "../views/RealOnline/index.vue"
      ),
  },
  {
    path: "/history",
    name: "History",
    component: () =>
      import(/* webpackChunkName: "history" */ "../views/History/index.vue"),
  },
//   地域分析
  {
    path: "/region",
    name: "Region",
    component: () =>
      import(/* webpackChunkName: "region" */ "../views/Region/index.vue"),
  },
  //   内容
  {
    path: "/content",
    name: "Content",
    component: () =>
      import(/* webpackChunkName: "content" */ "../views/Content/index.vue"),
  },
  //   新用户留存
  {
    path: "/keep",
    name: "Keep",
    component: () =>
      import(/* webpackChunkName: "Keep" */ "../views/Keep/index.vue"),
  },
  //   活跃用户留存
  {
    path: "/activeUser",
    name: "ActiveUser",
    component: () =>
      import(/* webpackChunkName: "ActiveKeep" */ "../views/Keep/activeUser.vue"),
  },
  //   搜索分析
  {
    path: "/search",
    name: "Search",
    component: () =>
      import(/* webpackChunkName: "Search" */ "../views/Search/index.vue"),
  },
  //   版本分析
  {
    path: "/version",
    name: "Version",
    component: () =>
      import(/* webpackChunkName: "Version" */ "../views/Version/index.vue"),
  },
  //   渠道分析
  {
    path: "/channle",
    name: "Channle",
    component: () =>
      import(/* webpackChunkName: "Channle" */ "../views/Channle/index.vue"),
  },
  //   直播分析
  {
    path: "/liveRoom",
    name: "LiveRoom",
    component: () =>
      import(/* webpackChunkName: "LiveRoom" */ "../views/LiveRoom/index.vue"),
  },
  //   重点分析
  {
    path: "/key",
    name: "Key",
    component: () =>
      import(/* webpackChunkName: "Key" */ "../views/Key.vue"),
  },
  //   新媒体概览
  {
    path: "/newMediaOverview",
    name: "newMediaOverview",
    component: () =>
      import(/* webpackChunkName: "newMediaOverview" */ "../views/NMedia/Overview.vue"),
  },

  //   用户活跃度
  {
    path: "/activityUser",
    name: "activityUser",
    component: () =>
      import(/* webpackChunkName: "newMediaOverview" */ "../views/NMedia/ActivityUser.vue"),
  },

  countryRouter, // 全国数据
];
// 实时/单期 节目流入流出 共计2个  可以使用同一模块
// 具体/抽象 节目剧目 查询/排行  共计4个，可以使用一个模块
const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes,
});

export default router;
